<script lang="ts">
import Vue from 'vue';
import { CtfForm, CtfHero } from '~/models';

export default Vue.extend({
  name: 'MarketoFormPageHero',
  props: {
    hero: {
      type: Object as () => CtfHero,
      required: false,
      default: null,
    },
    form: {
      type: Object as () => CtfForm,
      required: false,
      default: null,
    },
    submitted: {
      type: Boolean,
      default: false,
    },
  },
});
</script>
<template>
  <div
    class="marketo-form-page-hero"
    :class="{ 'marketo-form-page-hero--submitted': submitted }"
    :style="`--background: url(${hero.image?.image_url})`"
  >
    <SlpContainer>
      <SlpRow v-if="!submitted">
        <SlpColumn :cols="7" data-aos="fade-up" data-aos-duration="750">
          <SlpTypography tag="span" variant="heading5-bold">
            {{ hero?.subheader }}
          </SlpTypography>
          <SlpTypography tag="h1" variant="heading2-bold" class="slp-mt-16">
            {{ hero?.title }}
          </SlpTypography>
        </SlpColumn></SlpRow
      >
      <SlpRow v-show="submitted" id="submitted-message">
        <SlpColumn :cols="7" data-aos="fade-up" data-aos-duration="750">
          <SlpTypography
            v-if="form?.header"
            tag="h1"
            variant="heading1-bold"
            class="slp-mb-32"
          >
            {{ form?.header }}
          </SlpTypography>
          <SlpTypography
            v-if="form?.confirmationMessage"
            variant="heading5-bold"
            class="slp-mt-16"
            tag="div"
          >
            <div v-html="$md.render(form?.confirmationMessage)"></div>
          </SlpTypography> </SlpColumn
      ></SlpRow>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.marketo-form-page-hero {
  background-color: $color-primary-200;
  padding: 112px 0;
  color: $color-primary-300;

  &.marketo-form-page-hero--submitted {
    padding: 50px 0 140px 0;
    background-image: var(--background);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;
  }
  #submitted_message {
    scroll-margin: 150px;
  }
}
</style>
